org.apache.cassandra.io.sstable

## Interface ISSTableScanner

- All Superinterfaces:
    java.lang.AutoCloseable, java.io.Closeable, CloseableIterator<OnDiskAtomIterator>, java.util.Iterator<OnDiskAtomIterator>
  All Known Implementing Classes:
    BigTableScanner, BigTableScanner.EmptySSTableScanner

      public interface ISSTableScanner
      extends CloseableIterator<OnDiskAtomIterator>

  An ISSTableScanner is an abstraction allowing multiple SSTableScanners to be chained together under the hood. See LeveledCompactionStrategy.getScanners.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBackingFiles()`
    `long` | `getCurrentPosition()`
    `long` | `getLengthInBytes()`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, hasNext, next, remove`

    - ### Methods inherited from interface java.io.Closeable

      `close`

- - ### Method Detail

    - #### getLengthInBytes

          long getLengthInBytes()

    - #### getCurrentPosition

          long getCurrentPosition()

    - #### getBackingFiles

          java.lang.String getBackingFiles()

Copyright © 2018 The Apache Software Foundation